//---------------------------------------------------------------------------
#ifndef CtrlCfgH
#define CtrlCfgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CoolForm.hpp"
#include <ExtCtrls.hpp>
#include <Db.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <Grids.hpp>
#include <Buttons.hpp>
#include <Graphics.hpp>
#include "FormularioREUSABLE.h"
//---------------------------------------------------------------------------
class TElementosCFG : public TFormREUSABLE
{
__published:	// IDE-managed Components
    TLabel *Terminal;
    TTable *TbElementosCFG;
    TDataSource *DsElementosCFG;
    TDBGrid *DBGrid1;
    TTable *TbPrecios;
    TDataSource *DsPrecios;
    TDBGrid *DBGrid2;
    TSpeedButton *SpeedButton1;
    TSpeedButton *SpeedButton2;
    TSpeedButton *SpeedButton3;
    TDBGrid *DBGrid3;
    TTable *TbAppl;
    TDataSource *DsAppl;
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall TbPreciosBeforeOpen(TDataSet *DataSet);
    void __fastcall SpeedButton1Click(TObject *Sender);
    void __fastcall SpeedButton2Click(TObject *Sender);
    void __fastcall SpeedButton3Click(TObject *Sender);
    void __fastcall TbApplBeforeOpen(TDataSet *DataSet);
    void __fastcall TbApplBeforeInsert(TDataSet *DataSet);
    void __fastcall TbApplAfterPost(TDataSet *DataSet);
        void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
    bool PosiblesCambios;
    __fastcall TElementosCFG(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TElementosCFG *ElementosCFG;
//---------------------------------------------------------------------------
#endif
 